Bug 460571 - kernel-2.6.27-0.284.rc4.git6.fc10 will not boot (likely drm)
kernel-2.6.27-0.284.rc4.git6.fc10 will not boot (likely drm)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-28 14:16 EDT by Michal Jaegermann
Modified: 2009-12-18 01:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:20:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output for 2.6.27-0.287.rc4.git7.fc10.x86_64 (58.73 KB, text/plain)
2008-08-28 22:22 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2008-08-28 14:16:54 EDT
Description of problem:

Attempts to boot 2.6.27-0.284.rc4.git6.fc10.x86_64 end up quickly
with a blank screen and a dead machine.  As far as I can tell,
as messages scroll up very quickly, the last two line printed
say something about plymouthd and drm.

dmesg from the last booting kernel, which happens to be
2.6.27-0.244.rc2.git1.fc10.x86_64, is attached.

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.284.rc4.git6.fc10.x86_64

How reproducible:
always
Comment 1 Michal Jaegermann 2008-08-28 22:22:37 EDT
Created attachment 315320 [details]
dmesg output for 2.6.27-0.287.rc4.git7.fc10.x86_64

The situation is somewhat different with 2.6.27-0.287.rc4.git7.fc10.x86_64.
With this kernel I can boot to level 3 although around
"[drm] Initialized drm 1.1.0 20060810" line screen blanks for a noticeable
moment and later comes back in a smaller font.  Also there is
a series of "*ERROR* EDID has major version 0, instead of 1" messages.
A full dmesg output is attached.

An attempt to boot to level 5, instead to a console, blinks a screen
few times, in a rather quick sequence and leaves it totally blank with
no response from a keyboard.  A machine still can be reached over a network.
In /var/log/Xorg.0.log one can find:

Fatal server error:
DRM Command submission failure -22

and we are done.
Comment 2 Michal Jaegermann 2008-08-29 21:57:29 EDT
2.6.27-0.290.rc5.fc10.x86_64 behaves really the same
as 2.6.27-0.287.rc4.git7.fc10.x86_64; with identical
"*ERROR* EDID has major version 0, instead of 1"
messages and dead graphic screen when dust settles.
Comment 3 Ralph Loader 2008-08-30 01:35:17 EDT
Seeing the same on i386.

The kernel does actually boot (e.g., booting to runlevel 3 is just fine) but X dies soon after starting with "DRM Command submission failure -22).

Reverting kernel to 2.6.27-0.244.rc2.git1.fc10, everything is just fine.  Video card is

02:00.0 VGA compatible controller: ATI Technologies Inc RV350 AS [Radeon 9550]
Comment 4 Ralph Loader 2008-09-06 23:18:42 EDT
Incidently, adding nomodeset to the kernel commandline suppresses the problem.
Comment 5 Michal Jaegermann 2008-09-07 00:37:56 EDT
> adding nomodeset to the kernel commandline

Indeed, I just tried that with 2.6.27-0.305.rc5.git6.fc10.x86_64,
which otherwise will cause "DRM Command submission failure -22"
and the same for any other kernel above 2.6.27-0.244.rc2.git1.fc10,
and with 'nomodeset' I do not see

[drm:edid_is_valid] *ERROR* EDID has major version 0, instead of 1
[drm:edid_is_valid] *ERROR* Raw EDID:

and X does start.  Thanks for a workaround.
Comment 6 Michal Jaegermann 2008-09-07 16:22:22 EDT
With kernel 2.6.27-0.312.rc5.git7.fc10.x86_64 and
xorg-x11-drv-ati-6.9.0-9.fc10 starting _without_
'nomodeset' brought up a graphic screen.  That produced
in dmesg 453 lines with various EDID errors like in those samples:

[drm:edid_is_valid] *ERROR* EDID has major version 0, instead of 1
[drm:edid_is_valid] *ERROR* Raw EDID:
pci 0000:01:00.0: VGA-1: EDID invalid.
i2c-adapter i2c-1: unable to read EDID block.

Moreover a gdm display ended up too big for a screen,
after prolonged blinking, but a desktop screen looks all
right and in a resolution expected.

Starting that with 'nomodeset' brings the same looking
desktop only with much reduced fireworks.  It is true
that 31 lines like

(EE) RADEON(0): Unknown EDID version 0

show up in /var/log/Xorg.0.log but there are no EDID complaints
in dmesg.
Comment 7 Bug Zapper 2008-11-25 21:53:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jérôme Glisse 2009-10-14 07:12:57 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 9 Bug Zapper 2009-11-18 03:19:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:20:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.